Bug 212583 - gcc generates warning due to use of -mcpu=i686 for i386 arch
gcc generates warning due to use of -mcpu=i686 for i386 arch
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Panu Matilainen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-27 12:13 EDT by Michael McLagan
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 07:34:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael McLagan 2006-10-27 12:13:12 EDT
Description of problem:
The /usr/lib/rpm/rpmrc file makes use of -mcpu= for the optflags on various
architectures.  gcc issues a warning that this is deprecated.

Version-Release number of selected component (if applicable):

gcc-4.1.1-30
rpm-4.4.2-32

How reproducible:

always

Steps to Reproduce:
1. use rpmbuild on a spec file with i386 architecture
2.
3.
  
Actual results:
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.
`-mcpu=' is deprecated. Use `-mtune=' or '-march=' instead.


Expected results:
no warning is issued

Additional info:
Comment 1 Jeff Johnson 2006-10-27 12:15:50 EDT
The default optflags carried in rpm configuration have been updated
for modern gcc a couple of months ago.

    UPSTREAM
Comment 2 Paul Nasrat 2006-10-28 06:08:14 EDT
Do you have redhat-rpm-config installed - that contains the distribution optflags.

This should have been installed if you selected the Software Development group
or do yum install "Development Tools"
Comment 3 Panu Matilainen 2007-08-10 07:34:41 EDT
Rpm.org now has updated optflags, but in Fedora context you'll need to have
redhat-rpm-config installed if you intend to build packages for it like
explained in c#2.

Note You need to log in before you can comment on or make changes to this bug.